/*
 * hostserv.h
 * Copyright (C) 2003 demond & Amour
 *
 */

#ifndef INCLUDED_hostserv_h
#define INCLUDED_hostserv_h

#include <sys/types.h>
#include <regex.h>

#ifndef INCLUDED_config_h
#include "config.h"        /* HOSTSERVICES */
#define INCLUDED_config_h
#endif

#ifdef HOSTSERVICES

struct NickVHost
{
  struct NickVHost *next;
  char *hostmask; /* hostmask for nickname */
  time_t ts;
};

struct UsedVHost
{
  struct UsedVHost *prev, *next;
  struct NickVHost *vhosts;
  char *hostname;
  time_t ts;
};

struct ShitList
{
  struct ShitList *next;
  int result;
  char *pattern;
  char *author;
  regex_t regex;
};

/*
 * Prototypes
 */
 
extern struct UsedVHost *usedvh;
extern struct ShitList *shitlist;

void vs_process(char *nick, char *command);
void loadshitlist();

#endif /* HOSTSERVICES */

#endif /* INCLUDED_hostserv_h */
